<?php
date_default_timezone_set('Europe/Copenhagen');

$verbose = true;

$username = 'user@example.com';
$password = 'examplepassword';

$host = '{yoursubdomain}.actimizer.com';

$url = "https://$host/api/leads";

if ( $verbose )
{
	echo 'Url:';
	echo "\n";
	echo $url;
	echo "\n";
}

$lead = array( 
	'CampaignCode' => 'ExampleCampaignCode',
	'Data' => array(
		'FirstName' => 'Ian M.',
		'LastName' => 'Banks',
		'Phone' => '55555555'
	)
);

$jsonlead = json_encode ( $lead, JSON_PRETTY_PRINT );
if ( $verbose )
{
	echo 'Json encoded lead:';
	echo "\n";
	echo $jsonlead;
	echo "\n";
}

$ch = curl_init( $url );
curl_setopt( $ch, CURLOPT_RETURNTRANSFER, TRUE );
curl_setopt( $ch, CURLOPT_VERBOSE, $verbose );


// CURLOPT_CAINFO is needed if you experience SSL3_GET_SERVER_CERTIFICATE errors.
// See http://davidwalsh.name/php-ssl-curl-error and http://curl.haxx.se/docs/caextract.html
// You can also set it in php.ini
//curl_setopt( $ch, CURLOPT_CAINFO, 'path_to_php/ca-bundle.crt' );

curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
curl_setopt($ch, CURLOPT_USERPWD, "$username:$password");

curl_setopt( $ch, CURLOPT_HTTPHEADER, array ( "Content-Type: application/json; charset=utf-8" ));
curl_setopt( $ch, CURLOPT_POST, 1);
curl_setopt( $ch, CURLOPT_POSTFIELDS, $jsonlead);

$output = curl_exec( $ch );

$errno = curl_errno( $ch );

if( $errno )
{
	$info = curl_getinfo( $ch, CURLINFO_HTTP_CODE );
	$httpCode = $info['http_code'];

	if ( $httpCode )
	{
		$output = array( 'Success' => false, 'Message' => "Failed with http code: $httpCode" );
	}
	else
	{
		$output = array( 'Success' => false, 'Message' => curl_error($ch) );
	}
}
else
{
	$output = json_decode( $output, true );
}

curl_close($ch);
		
if ( $output['Success'] )
{
	echo 'Success';
}
else
{
	echo $output['ResultCode'];
	echo $output['ResultData'];
	echo $output['ResultMessage'];
}

?>

